package com.rjconsultores.ventaboletos.enums;

public enum LocalEnderecoApanhe {
	
	APANHE_EM_CASA(0,"Apanhe em Casa"),
	HOTEL(1,"Hotel"),
	NENHUM(2,"Nenhum"),
	REGIAO_METROPOLITANA(3,"Região Metropolitana");
	
	private Integer valor;
	private String descricao;

	private LocalEnderecoApanhe(Integer valor, String descricao) {
		this.valor = valor;
		this.descricao = descricao;
	}
	
	public Integer getValor() {
		return this.valor;
	}

	@Override
	public String toString() {
		return this.descricao;
	}
	
	public static LocalEnderecoApanhe getLocalEnderecoApanhe(Integer valor) {
		if(APANHE_EM_CASA.getValor().equals(valor)) {
			return APANHE_EM_CASA;
		} else if(HOTEL.getValor().equals(valor)) {
			return HOTEL;
		} else if(NENHUM.getValor().equals(valor)) {
			return NENHUM;
		} else if(REGIAO_METROPOLITANA.getValor().equals(valor)) {
			return REGIAO_METROPOLITANA;
		}
		return null;
	}

}
